<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classButtonsCommanderSwitch.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">ButtonsCommanderSwitch Member List</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classButtonsCommanderSwitch.html">ButtonsCommanderSwitch</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classButtonsCommanderSwitch.html#a5b1a16f717941df169781ab96a5d1650">AddEvent</a>(unsigned long inId, int inPin, COMMANDERS_EVENT_TYPE inEvent = COMMANDERS_EVENT_MOVEPOSITIONID, int inData = 0)</td><td class="entry"><a class="el" href="classButtonsCommanderSwitch.html">ButtonsCommanderSwitch</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classButtonsCommanderButton.html#afd8cb1a2b76510830062c5656bda0728">ButtonsCommanderButton</a>(unsigned long inId)</td><td class="entry"><a class="el" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classButtonsCommanderSwitch.html#ac0868173b88f84ea44ecdee9e0dfd82f">ButtonsCommanderSwitch</a>()</td><td class="entry"><a class="el" href="classButtonsCommanderSwitch.html">ButtonsCommanderSwitch</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classButtonsCommanderButton.html#a270eade0db966b7e72b6dc5462377593">EndLoop</a>()</td><td class="entry"><a class="el" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classButtonsCommanderButton.html#a1ab1295abfbfafef48d38a8795fb0be7">GetFromId</a>(unsigned long inId)</td><td class="entry"><a class="el" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classButtonsCommanderSwitch.html#a2b9922d2b262776d8b49909329280bc5">GetId</a>(GPIO_pin_t inPin) const </td><td class="entry"><a class="el" href="classButtonsCommanderSwitch.html">ButtonsCommanderSwitch</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classButtonsCommanderButton.html#acbdd1d63fed7736c7358105428fbfd9c">ButtonsCommanderButton::GetId</a>() const </td><td class="entry"><a class="el" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classButtonsCommanderButton.html#a0dac1c9fcdc5bbe1d2b00a38192f555c">GetNextButton</a>() const </td><td class="entry"><a class="el" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classButtonsCommanderButton.html#a823f11a7de3a5a01d0c076f7d5b4fae0">GetPosition</a>() const </td><td class="entry"><a class="el" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classButtonsCommanderButton.html#a3b40667770ab04694a2ea85f11aebfe0">Id</a></td><td class="entry"><a class="el" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></td><td class="entry"><span class="mlabels"><span class="mlabel">protected</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classButtonsCommanderButton.html#a7fa0ef8aede172936672b384f81b03bb">SetNextButton</a>(ButtonsCommanderButton *inpButton)</td><td class="entry"><a class="el" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classButtonsCommanderSwitch.html#ac5acada95c180aa8011e8b4c4ba3e6ce">beforeFirstLoop</a>()</td><td class="entry"><a class="el" href="classButtonsCommanderSwitch.html">ButtonsCommanderSwitch</a></td><td class="entry"><span class="mlabels"><span class="mlabel">virtual</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classButtonsCommanderSwitch.html#adf7871a996c39e3dcbc30d1ad98de2ba">begin</a>()</td><td class="entry"><a class="el" href="classButtonsCommanderSwitch.html">ButtonsCommanderSwitch</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classButtonsCommanderSwitch.html#a3e66f87ce692b0524bf9940dec663d21">loop</a>()</td><td class="entry"><a class="el" href="classButtonsCommanderSwitch.html">ButtonsCommanderSwitch</a></td><td class="entry"><span class="mlabels"><span class="mlabel">virtual</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classButtonsCommanderSwitch.html#ab4ff8f2eead168e08c2f385022c06a4a">loopOnePin</a>(GPIO_pin_t inPin, unsigned long inId, unsigned long inPreviousId, unsigned long *apDebounceDelay, GPIO_pin_t *apLastSelectedPin, int *apLastButtonState, unsigned long *apLastDebounceTime, bool inSendEvent = true)</td><td class="entry"><a class="el" href="classButtonsCommanderSwitch.html">ButtonsCommanderSwitch</a></td><td class="entry"><span class="mlabels"><span class="mlabel">static</span></span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
